Subject: Problems building pine 3.94

From: "Kevin S. Ford" <[email-masked]>
Date: Wed, 19 Jun 1996 17:54:56 GMT

Can anyone offer pointers on what the problem is here and how to fix it?  
Here's what I did to compile:

1) dnld and untar/unzip from /usr2/local/src
2) read stuff.
3) said build clean
4) said build lnx

and this is what I got after the compiler chugged away for awhile:

<snip>
cc   -g -DDEBUG  -DLNX -DSYSTYPE=\"LNX\" -DMOUSE   -c ttyout.c -o ttyout.o
cd osdep; make includer os-lnx.c; cd ..
make[1]: Entering directory `/usr2/local/src/pine3.94/pine/osdep'
cc -o includer includer.c
./includer < os-lnx.ic > os-lnx.c
make[1]: Leaving directory `/usr2/local/src/pine3.94/pine/osdep'
rm -f os.c
ln -s osdep/os-lnx.c os.c
cc   -g -DDEBUG  -DLNX -DSYSTYPE=\"LNX\" -DMOUSE   -c os.c -o os.o
os.c: In function `canonical_name':
os.c:1013: warning: return discards `const' from pointer target type
os.c: In function `post_reap':
os.c:1740: warning: passing arg 2 of `waitpid' from incompatible pointer type
make: *** No rule to make target `../c-client/c-client.a'.  Stop.

Links to executables are in bin directory:
size: bin/pine: No such file or directory
size: bin/mtest: No such file or directory
size: bin/imapd: No such file or directory
text    data    bss     dec     hex     filename
262112  12288   2828    277228  43aec   bin/pico
262112  12288   2724    277124  43a84   bin/pilot
Done
darkstar:/usr2/local/src/pine3.94# 

So it seems that pine, mtest, imapd were not built.

Any ideas?  Thanks!

___________________________________________________________________________
 Plan ahead.  Promote swift colonization of the solar system...  *First* 
____________________________________________
__________________

I smell like a wet reducing clinic on Columbus Day!

_______________________
____________Kevin S Ford__________
[email-masked]